#
# Conditional build:
%bcond_without	doc	# API documentation

%define		module	websockets
Summary:	An implementation of the WebSocket Protocol for Python with asyncio
Summary(pl.UTF-8):	Implementacja protokołu WebSocket dla Pythona z asyncio
Name:		python3-%{module}
Version:	13.1
Release:	3
License:	BSD-like
Group:		Libraries/Python
Source0:	https://github.com/aaugustin/websockets/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	43c32a1842d443cb41cadf1361612731
URL:		https://pypi.org/project/websockets/
BuildRequires:	python3 >= 1:3.8
BuildRequires:	python3-devel >= 1:3.8
BuildRequires:	python3-modules >= 1:3.8
BuildRequires:	python3-setuptools
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	sed >= 4.0
%if %{with doc}
BuildRequires:	python3-furo
BuildRequires:	python3-sphinx_copybutton
BuildRequires:	python3-sphinx_inline_tabs
BuildRequires:	python3-sphinxcontrib-trio
BuildRequires:	python3-sphinxext.opengraph
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
websockets is a library for building WebSocket servers and clients in
Python with a focus on correctness and simplicity.

Built on top of asyncio, Python's standard asynchronous I/O framework,
it provides an elegant coroutine-based API.

%description -l pl.UTF-8
websockets to biblioteka do tworzenia serwerów i klientów WebSocket w
Pythonie, rozwijana z myślą głównie o poprawności i prostocie.

Jest zbudowana w oparciu o asyncio - standardowym szkielecie Pythona
do asynchronicznego we/wy, zapewniającym eleganckie API oparte na
korutynach.

%package apidocs
Summary:	API documentation for Python %{module} module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona %{module}
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for Python %{module} module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona %{module}.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%if %{with doc}
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%{__rm} $RPM_BUILD_ROOT%{py3_sitedir}/%{module}/speedups.c

install -d $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
cp -a example/* $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
find $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version} -name '*.py' \
	| xargs sed -i '1s|^#!.*python\b|#!%{__python3}|'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%dir %{py3_sitedir}/%{module}
%{py3_sitedir}/%{module}/*.py
%{py3_sitedir}/%{module}/*.pyi
%{py3_sitedir}/%{module}/py.typed
%attr(755,root,root) %{py3_sitedir}/%{module}/*.so
%{py3_sitedir}/%{module}/__pycache__
%dir %{py3_sitedir}/%{module}/asyncio
%{py3_sitedir}/%{module}/asyncio/*.py
%{py3_sitedir}/%{module}/asyncio/__pycache__
%dir %{py3_sitedir}/%{module}/extensions
%{py3_sitedir}/%{module}/extensions/*.py
%{py3_sitedir}/%{module}/extensions/__pycache__
%dir %{py3_sitedir}/%{module}/legacy
%{py3_sitedir}/%{module}/legacy/*.py
%{py3_sitedir}/%{module}/legacy/__pycache__
%dir %{py3_sitedir}/%{module}/sync
%{py3_sitedir}/%{module}/sync/*.py
%{py3_sitedir}/%{module}/sync/__pycache__
%{py3_sitedir}/%{module}-%{version}-py*.egg-info
%{_examplesdir}/%{name}-%{version}

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_downloads,_images,_static,faq,howto,intro,project,reference,topics,*.html,*.js}
%endif
%changelog
* Wed Mar 12 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-websockets.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 1c14ee5
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 34de156
- python 3.13 rebuild

* Fri Nov 08 2024 Jakub Bogusz <qboosh@pld-linux.org> c422abc
- pl, package speedups.pyi, cleaned up apidocs files

* Sat Sep 28 2024 Jan Palus <atler@pld-linux.org> 1526491
- up to 13.1

* Sun Dec 31 2023 Jan Palus <atler@pld-linux.org> df39af6
- package sync directory; rel 2

* Sun Dec 31 2023 Jan Palus <atler@pld-linux.org> ae6ab0d
- BR: python3-devel

* Sun Dec 31 2023 Jan Palus <atler@pld-linux.org> 51c231b
- BR: python3 for %py3_*

* Sun Dec 31 2023 Jan Palus <atler@pld-linux.org> 4146fcc
- noarch apidocs

* Sun Dec 31 2023 Jan Palus <atler@pld-linux.org> 4706c90
- up to 12.0

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> e4e7489
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 0354616
- rebuild with python 3.10

* Mon May 24 2021 Jan Rękorajski <baggins@pld-linux.org> 999daca
- new

